View Issue Details

IDProjectCategoryView StatusLast Update
0031419LazarusIDEpublic2017-03-11 21:03
ReporterJohn Kuiper Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.6.2 
Summary0031419: filter option to find the right inheried forms
DescriptionIs it possible to create a filter option by create new --> inherited forms. Now if there's a lot of forms in a project, you have to scroll to the right form. 5 forms are oke, but 30 forms is more difficult to find it.
TagsNo tags attached.
Fixed in Revisionr54321
LazTarget-
WidgetsetGTK, GTK 2, Win32/Win64, WinCE, Carbon, Cocoa, QT
Attached Files

Relationships

related to 0031471 resolvedJuha Manninen Wish: FilterEdit in New dialog: filter by 2 columns 
related to 0031520 closedJuha Manninen ItemsTreeview in dialog TNewOtherDialog too narrow, window size not persistent 

Activities

Juha Manninen

2017-02-28 20:55

developer   ~0098527

Where is "create new" --> "inherited forms"?
Do you mean the File -> "New ..." window? It has many other things, too, in addition to inherited items.

CudaText man

2017-02-28 21:20

reporter   ~0098528

"New" dialog, Inherited Item, Inherited project component (subitem in tree), rignht side shows list of forms.

Juha Manninen

2017-03-01 17:18

developer   ~0098541

Ok, I was thinking of the TreeView itself. The inherited component list can be long indeed.
I added a FilterEdit. Please test.

Issue History

Date Modified Username Field Change
2017-02-20 10:06 John Kuiper New Issue
2017-02-28 12:45 Juha Manninen Assigned To => Juha Manninen
2017-02-28 12:45 Juha Manninen Status new => assigned
2017-02-28 20:55 Juha Manninen LazTarget => -
2017-02-28 20:55 Juha Manninen Note Added: 0098527
2017-02-28 20:55 Juha Manninen Status assigned => feedback
2017-02-28 21:20 CudaText man Note Added: 0098528
2017-03-01 17:18 Juha Manninen Fixed in Revision => r54320
2017-03-01 17:18 Juha Manninen Note Added: 0098541
2017-03-01 17:18 Juha Manninen Status feedback => resolved
2017-03-01 17:18 Juha Manninen Resolution open => fixed
2017-03-03 11:53 Juha Manninen Relationship added related to 0031471
2017-03-10 22:26 wp Relationship added related to 0031520
2017-03-11 21:03 Juha Manninen Fixed in Revision r54320 => r54321